package com.tptj.demo.hg.excel.export.app;

import com.fanruan.api.log.LogKit;
import com.fr.io.collection.ExportCollection;
import com.fr.io.exporter.ExcelExportType;
import com.fr.report.fun.impl.AbstractExcelExportAppProvider;
import com.fr.stable.ExportConstants;
import com.fr.stable.web.SessionProvider;
import com.fr.web.core.reserve.ExcelOperate;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-12
 **/
public class DemoLarge extends AbstractExcelExportAppProvider {
    @Override
    public String exportType() {
        return ExportConstants.TYPE_LARGEDATA_PAGE;
    }

    @Override
    public ExportCollection newLargeDataExportCollection(HttpServletRequest req,
                                                         HttpServletResponse res,
                                                         SessionProvider sessionIDInfor,
                                                         String fileName,
                                                         ExcelExportType type) {
        LogKit.info("ExcelExportApp DemoLarge Is Running!");
        //产品本身的大数据导出excel
        return new ExcelOperate().createLargeDataExportCollection(req,res,sessionIDInfor,fileName,type);
    }
}

